package cn.cslg.pas.common.utils.handler;

import cn.cslg.pas.common.utils.StringUtils;

/**
 * @name 特殊字符串处理类
 * @description 1.带有分隔符按照分隔符拆分（去除 '>' 符号） 2.不带分隔符直接返回原数据 3.目前只有两个字段会使用 (1)标签(2)自定义字段
 */
public class StringSpecialHandler implements IProcessData {
    public StringSpecialHandler() {
    }

    @Override
    public Object processData(Object data, Object splitSymbol) {
        if (!"".equals(splitSymbol)) {
            return StringUtils.changeStringToString(data.toString().replaceAll(">", ""), splitSymbol.toString());
        } else {
            return data.toString();
        }
    }
}
